const breadcrumb = {
  state: {
    visible: {
      firstLayer: true,
      secondLayer: false,
      thridLayer: false
    }
  },
  mutations: {
    SET_VISIBLE: (state, visible) => {
      switch (visible) {
        case 1:
          state.visible = {
            firstLayer: true,
            secondLayer: false,
            thridLayer: false
          }
          break
        case 2:
          state.visible = {
            firstLayer: false,
            secondLayer: true,
            thridLayer: false
          }
          break
        case 3:
          state.visible = {
            firstLayer: false,
            secondLayer: false,
            thridLayer: true
          }
          break
      }
    }
  },
  actions: {
    SetVisible({ commit }, visible) {
      commit('SET_VISIBLE', visible)
    }
  }
}

export default breadcrumb
